Bug 54080 - CPU usage peeks when restarting portsentry after an attack
Summary: CPU usage peeks when restarting portsentry after an attack
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: portsentry (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: bero
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-26 23:07 UTC by Leonard den Ottolander
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 16:50:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonard den Ottolander 2001-09-26 23:07:12 UTC
Description of Problem:
 When restarting portsentry after an attack CPU usage peeks (top, about 
75% CPU usage on this 1GHz Pentium system). This condition goes on (at 
least for minutes) until portsentry is restarted another time.
 Not sure if this is a portsentry or maybe an init script issue.

Version-Release number of selected component (if applicable):
portsentry-1.0-11

How Reproducible:


Steps to Reproduce:
1. Launch an attack from a system (fe telnet 10.10.10.10 6667). Repeat if
necessary (twice in this configuration).
2. Issue "service portsentry restart" on the attacked system.
3. Run top to monitor CPU load

Actual Results:
CPU load peak.

Expected Results:
Normal CPU usage.

Additional Information:

Comment 1 Leonard den Ottolander 2001-09-26 23:49:23 UTC
This state only occurs when KILL_RUN_CMD is not specified.
Specifying a KILL_RUN_CMD solves the issue.
Maybe catch an empty KILL_RUN_CMD?


Comment 2 David Lawrence 2003-05-16 16:50:35 UTC
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.


Note You need to log in before you can comment on or make changes to this bug.